import { jsx } from "react/jsx-runtime";
import { TextIndent as TextIndent$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TextIndent = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "TextIndent", ...props, children: /* @__PURE__ */ jsx(TextIndent$1, { weight: variant }) });
  }
);
TextIndent.displayName = "TextIndent";
Object.assign(TextIndent, { isGdsIcon: true });
export {
  TextIndent
};
